### Method

# Ide TreeNode get_children_possible

#### Declaration

    gboolean
    ide_tree_node_get_children_possible (
      IdeTreeNode* self
    )

#### Description

Checks if the node can have children, and if so, returns `TRUE`. It may not actually have children yet.

Available since: | 3.32

Gets property | `Ide.TreeNode:children-possible`

#### Return value

Returns: | `gboolean`
| `TRUE` if the children may have children.